package cl.homelogic.platform.common.logging

import org.koin.core.logger.Level
import org.koin.core.logger.Logger
import org.koin.core.logger.MESSAGE

class TraceKoinLogger : Logger() {
    override fun display(
        level: Level,
        msg: MESSAGE,
    ) {
        when (level) {
            Level.DEBUG -> Trace.d(DEFAULT_TAG, msg)
            Level.INFO -> Trace.i(DEFAULT_TAG, msg)
            Level.WARNING -> Trace.w(DEFAULT_TAG, msg)
            Level.ERROR -> Trace.e(DEFAULT_TAG, msg)
            Level.NONE -> {}
        }
    }

    companion object {
        const val DEFAULT_TAG = "Koin"
    }
}
